function processClassValue(value, result) {
    if (!value && 0 !== value) return;
    if ('string' == typeof value || 'number' == typeof value) result.push(String(value));
    else if (Array.isArray(value)) for (const v of value)processClassValue(v, result);
    else if ('object' == typeof value) {
        for (const [key, isActive] of Object.entries(value))if (isActive) result.push(key);
    }
}
function cx(...classes) {
    const result = [];
    for (const c of classes)processClassValue(c, result);
    return result.join(' ');
}
export { cx };
